Bug 1980 - Multiple vulnerabilities was found in krb5
: Multiple vulnerabilities was found in krb5
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Danila Leontiev
: Private ROSA Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 14:46 MSD by Zombie Ryushu
Modified: 2013-09-02 18:57 MSD (History)
5 users (show)

See Also:
RPM Package: krb5
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
danila.leontiev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2013-04-30 14:46:19 MSD
The prep_reprocess_req function in do_tgs_req.c in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.5 does not properly perform service-principal realm referral, which allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via a crafted TGS-REQ request (CVE-2013-1416).
Comment 1 Dmitry Romashkin 2013-05-16 01:09:31 MSD
CVE-2013-1415 krb5: PKINIT null pointer deref leads to DoS (pkinit_check_kdc_pkid())
CVE-2013-1416 krb5: NULL pointer dereference (DoS, KDC crash) by processing certain TGS requests

The pkinit_check_kdc_pkid function in plugins/preauth/pkinit/pkinit_crypto_openssl.c in the PKINIT implementation in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.4 and 1.11.x before 1.11.1 does not properly handle errors during extraction of fields from an X.509 certificate, which allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via a malformed KRB5_PADATA_PK_AS_REQ AS-REQ request (CVE-2013-1415).

The prep_reprocess_req function in do_tgs_req.c in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.5 does not properly perform service-principal realm referral, which allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via a crafted TGS-REQ request (CVE-2013-1416).

References:
https://bugzilla.redhat.com/show_bug.cgi?id=914749
https://bugzilla.redhat.com/show_bug.cgi?id=949984
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1415
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1416
Comment 2 Danila Leontiev 2013-07-30 12:01:49 MSD
Advisory:
CVE-2013-1415 krb5: PKINIT null pointer deref leads to DoS (pkinit_check_kdc_pkid())
CVE-2013-1416 krb5: NULL pointer dereference (DoS, KDC crash) by processing certain TGS requests

The pkinit_check_kdc_pkid function in plugins/preauth/pkinit/pkinit_crypto_openssl.c in the PKINIT implementation in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.4 and 1.11.x before 1.11.1 does not properly handle errors during extraction of fields from an X.509 certificate, which allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via a malformed KRB5_PADATA_PK_AS_REQ AS-REQ request (CVE-2013-1415).

The prep_reprocess_req function in do_tgs_req.c in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.5 does not properly perform service-principal realm referral, which allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via a crafted TGS-REQ request (CVE-2013-1416).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1415
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1416

Buildlists:
https://abf.rosalinux.ru/build_lists/1197934
https://abf.rosalinux.ru/build_lists/1197933 (64)
Comment 3 Vladimir Potapov 2013-07-31 16:59:02 MSD
The package route to extended testing
Comment 4 Vladimir Potapov 2013-08-31 17:45:32 MSD
404
Comment 6 Vladimir Potapov 2013-09-02 18:51:40 MSD
krb5-1.9.1-5-rosa.lts2012.0
****************** Advisory *********************
Security updates:
CVE-2013-1415 krb5: PKINIT null pointer deref leads to DoS (pkinit_check_kdc_pkid())
CVE-2013-1416 krb5: NULL pointer dereference (DoS, KDC crash) by processing certain TGS requests
*************************************************
QA Verified